Package org.bgerp.plugin.pln.grpl.action

# Class BoardAction

java.lang.Object
org.apache.struts.action.Action
org.apache.struts.actions.BaseAction
org.apache.struts.actions.DispatchAction
org.bgerp.action.base.BaseAction
org.bgerp.plugin.pln.grpl.action.BoardAction

public class BoardAction extends BaseAction

- ## Field Summary

  ### Fields inherited from class org.bgerp.action.base.BaseAction

  `l, log, MAPPER, PATH_JSP_ADMIN, PATH_JSP_OPEN, PATH_JSP_USER, PATH_JSP_USERMOB, setup`

  ### Fields inherited from class org.apache.struts.actions.DispatchAction

  `clazz, methods, types`

  ### Fields inherited from class org.apache.struts.actions.BaseAction

  `messages`

  ### Fields inherited from class org.apache.struts.action.Action

  `servlet`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BoardAction()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `org.apache.struts.action.ActionForward`
  `cellGroup(DynActionForm form, Connection con)`
  `org.apache.struts.action.ActionForward`
  `dialog(DynActionForm form, ConnectionSet conSet)`
  `org.apache.struts.action.ActionForward`
  `menu(DynActionForm form, Connection con)`
  `org.apache.struts.action.ActionForward`
  `show(DynActionForm form, Connection con)`
  `org.apache.struts.action.ActionForward`
  `slotProcess(DynActionForm form, ConnectionSet conSet)`
  `org.apache.struts.action.ActionForward`
  `unspecified(DynActionForm form, ConnectionSet conSet)`
  Default action method if no parameter 'action' passed.

  ### Methods inherited from class org.bgerp.action.base.BaseAction

  `checkModified, dispatchMethod, getParameter, html, html, json, json, permissionCheck, restoreRequestParams, unspecified, updatePersonalization`

  ### Methods inherited from class org.apache.struts.actions.DispatchAction

  `cancelled, execute, getMethod, getMethodName, unspecified`

  ### Methods inherited from class org.apache.struts.action.Action

  `addErrors, addMessages, execute, generateToken, getErrors, getLocale, getMessages, getResources, getResources, getServlet, isCancelled, isTokenValid, isTokenValid, resetToken, saveErrors, saveErrors, saveMessages, saveMessages, saveToken, setLocale, setServlet`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BoardAction

    public BoardAction()

- ## Method Details

  - ### unspecified

    public org.apache.struts.action.ActionForward unspecified(DynActionForm form, ConnectionSet conSet) throws Exception
    Description copied from class: `BaseAction`
    Default action method if no parameter 'action' passed. Overwrite and implement.
    Overrides:
      `unspecified` in class `BaseAction`
    Parameters:
      `form` -
      `conSet` -
    Returns:
    Throws:
      `Exception`

  - ### show

    public org.apache.struts.action.ActionForward show(DynActionForm form, Connection con) throws Exception
    Throws:
      `Exception`

  - ### menu

    public org.apache.struts.action.ActionForward menu(DynActionForm form, Connection con) throws Exception
    Throws:
      `Exception`

  - ### cellGroup

    public org.apache.struts.action.ActionForward cellGroup(DynActionForm form, Connection con) throws Exception
    Throws:
      `Exception`

  - ### dialog

    public org.apache.struts.action.ActionForward dialog(DynActionForm form, ConnectionSet conSet) throws Exception
    Throws:
      `Exception`

  - ### slotProcess

    public org.apache.struts.action.ActionForward slotProcess(DynActionForm form, ConnectionSet conSet) throws Exception
    Throws:
      `Exception`